import { TranslateError } from '../../../utils';
export declare class RequestError extends TranslateError {
    static canRetry(error: unknown): boolean;
    status: number;
    constructor(status: number, statusText: string, info?: {
        code?: number;
        message?: string;
        fatal?: boolean;
    });
}
export declare class AuthError extends TranslateError {
    static is(message: string): boolean;
    static reason(message: string): "INACTIVE_CLOUD" | "WRONG_APIKEY" | "WRONG_TOKEN" | "EXPIRED_TOKEN" | null;
    constructor(message: string);
}
export declare class LimitExceed extends TranslateError {
    static is(message: string): boolean;
    constructor(message: string);
}
